Subject: Re: [PATCH 1/1] rnbd/rtrs: pass max segment size from blk user to the rdma library

From: Leon Romanovsky <[email-masked]>
Date: Tue, 19 May 2020 18:42:11 +0300

On Tue, May 19, 2020 at 11:14:26AM +0200, Danil Kipnis wrote:
> Hi Leon
>
> On Tue, May 19, 2020 at 10:48 AM Leon Romanovsky <[email-masked]> wrote:
> >
> > On Tue, May 19, 2020 at 10:01:36AM +0200, Danil Kipnis wrote:
> > > When Block Device Layer is disabled, BLK_MAX_SEGMENT_SIZE is undefined.
> > > The rtrs is a transport library and should compile independently of the
> > > block layer. The desired max segment size should be passed down by the
> > > user.
> > >
> > > Introduce max_segment_size parameter for the rtrs_clt_open() call.
> > >
> > > Signed-off-by: Danil Kipnis <[email-masked]>
> > > Reported-by: Randy Dunlap <[email-masked]>
> > > ---
> >
> > Please, add fixes line.
> I'm new to this for-next fix up procedure. What tree the commit I
> should reference with the fixes line should come from? Should I split
> this commit so that I can reference the commits which add separate
> files in the original patchset here
> https://git.kernel.org/pub/scm/linux/kernel/git/rdma/rdma.git/log/?h=for-next
> ? And also if I have to fix yet another issue - how do I then
> reference the commit this patch creates if applied?
> Thank you!

NP,

You need to configure your email client to properly honor replies,
e.g. add extra blank line between your reply and the email body.
It will make your replies more clear.

Regarding fixes:
1. There should not blank line between Fixes line and SOBs.
2. You can use one Fixes line (use latest).
3. Patches are usually divided for logical units.

Thanks

> > Thanks